##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/i_cashe.4gs/globals.4gl  1.2  Last Delta: 12/11/89
##############################################################################

database standard

globals
    define
        m_rcashe record like strcashe.*,  # record like the header table
        m_rcashd record like strcashd.*,  # record like the detail table
        m_ropend record like stropend.*,  # record like open items
        m_rcntrc record like strcntrc.*,  # record like a/r control record
        p_rcashe record   # record like the header screen
            rcpt_date like strcashe.rcpt_date,
            cust_code like strcashe.cust_code,
            bus_name like strcustr.bus_name,
            check_no like strcashe.check_no,
            doc_desc like strcashe.doc_desc,
            rcpt_amt like strcashe.cash_amt,
            on_acct_amt like strcustr.on_acct_amt,
            auto_pay char(1),
            cash_acct like strcashe.cash_acct,
            cash_department like strcashe.cash_department,
            disc_tot like strcashd.disc_amt,
            oa_amt like strcashe.oa_amt,
            paid_tot like strcashe.cash_amt,
            bal_remaining like strcashe.cash_amt
            end record,
        r_rcashe record   # record like the header screen2
            rcpt_date like strcashe.rcpt_date,
            check_no like strcashe.check_no,
            doc_desc like strcashe.doc_desc,
            rcpt_amt like strcashe.cash_amt,
            cash_acct like strcashe.cash_acct,
            cash_department like strcashe.cash_department,
            paid_tot like strcashe.cash_amt,
            bal_remaining like strcashe.cash_amt
            end record,
        p_rcashd array[100] of record   # record like the detail screen
            pay_method char(1),
            inv_no like stropend.inv_no,
            inv_doc_no like stropend.doc_no,
            due_date like stropend.due_date,
            disc_date like stropend.disc_date,
            disc_bal like stropend.disc_bal,
            balance like stropend.balance,
            disc_amt like strcashd.disc_amt,
            dist_acct like strcashd.dist_acct,
            dist_department like strcashd.dist_department,
            acct_desc like stxchrtr.acct_desc,
            paid like strcashd.dist_amt,
            dist_amt like strcashd.dist_amt,
            dist_deb_cred like strcashd.dist_deb_cred
            end record,
        q_rcashd array[100] of record   # record like the detail screen1
            pay_method char(1),
            inv_no like stropend.inv_no,
            due_date like stropend.due_date,
            disc_date like stropend.disc_date,
            disc_bal like stropend.disc_bal,
            balance like stropend.balance,
            disc_amt like strcashd.disc_amt,
            paid like strcashd.dist_amt
            end record,
        r_rcashd array[100] of record   # record like the detail screen2
            dist_acct like strcashd.dist_acct,
            dist_department like strcashd.dist_department,
            acct_desc like stxchrtr.acct_desc,
            paid like strcashd.dist_amt,
            dist_amt like strcashd.dist_amt,
            dist_deb_cred like strcashd.dist_deb_cred
            end record,
        progid char(17),     # program identification
        add_update char(1),  # in add or update mode
        scr1_max smallint,   # Number of elements in screen array 1
        rec1_max smallint,   # Number of elements in record array 1
        rec1_cnt smallint,   # Number of active elements in record array 1
        oa_acct like strcustr.ar_acct_dflt,
        oa_department like strcustr.ar_department_dflt,
        curr_form smallint,  # current screen
        curr_cust_code like strcustr.cust_code # in update, current customer
end globals
