##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/i_contrl.4gs/main.4gl  1.2  Last Delta: 4/10/89
##############################################################################

globals "globals.4gl"

#######################################################################
main
#######################################################################
#
    clear screen
    whenever error call error_handler
    defer interrupt
    let progid = "ar.i_contrl"
    open window win1 at 2,3 with 22 rows, 76 columns
        attribute (border, red)
    call init()
    clear window win1
    open window win2 at 2,3 with 22 rows, 76 columns
        attribute (blue)
    open form screen1 from "screen1"
    display form screen1
    call st_init()
    call xcontrol() returning m_xcntrc.*
    call getrec1()
    call ring_header()
    exit program (0)
end main

#######################################################################
function getrec1()
#######################################################################
#  this function is for control files.  it creates a new record if
#  no records are found.  this needs to be done because ok_add should
#  be set to return false.
#
    define
        num_rows    smallint
    select count(*) into num_rows from strcntrc
    if num_rows < 1
    then
        initialize m_rcntrc.* to null
        let m_rcntrc.ar_balanced = "N"
        insert into strcntrc values(m_rcntrc.*)
    end if
end function
# getrec1()

#####################################################################
function logo()
# calls the logo for the accounts receivable module
#####################################################################
#
    call ar_logo()
end function
# logo()

