########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_custdt.4gs/globals.4gl  1.3  Delta: 4/5/90
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone,
            address1 like strcustr.address1,
            taxable like strcustr.taxable,
            fin_chg like strcustr.fin_chg,
            address2 like strcustr.address2,
            credit_limit like strcustr.credit_limit,
            acct_bal like strcustr.acct_bal,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            on_acct_amt like strcustr.on_acct_amt,
            ar_acct_dflt like strcustr.ar_acct_dflt,
            ar_department_dflt like strcustr.ar_department_dflt,
            terms_code like strcustr.terms_code,
            stmt_amount like strcustr.stmt_amount,
            stmt_cycle like strcustr.stmt_cycle,
            act_grp like strcustr.act_grp,
            ar_type like strcustr.ar_type,
            stmt_date like strcustr.stmt_date,
            last_pay_date like strcustr.last_pay_date,
            spec_shipping like strcustr.spec_shipping,
            spec_billing like strcustr.spec_billing,
            terms_desc like strtermr.terms_desc,
            grp_desc like stxactgr.grp_desc,
            ship_to_code like strshipr.ship_to_code,
            ship_bus_name like strshipr.bus_name,
            ship_contact like strshipr.contact,
            ship_address1 like strshipr.address1,
            ship_phone like strshipr.phone,
            ship_address2 like strshipr.address2,
            ship_city like strshipr.city,
            ship_state like strshipr.state,
            ship_zip like strshipr.zip,
            ship_country like strshipr.country,
            ship_taxable like strshipr.taxable,
            ship_spec_shipping like strshipr.spec_shipping
        end record,
        curs record                 # record like the cursor
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone,
            address1 like strcustr.address1,
            taxable like strcustr.taxable,
            fin_chg like strcustr.fin_chg,
            address2 like strcustr.address2,
            credit_limit like strcustr.credit_limit,
            acct_bal like strcustr.acct_bal,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            on_acct_amt like strcustr.on_acct_amt,
            ar_acct_dflt like strcustr.ar_acct_dflt,
            ar_department_dflt like strcustr.ar_department_dflt,
            terms_code like strcustr.terms_code,
            stmt_amount like strcustr.stmt_amount,
            stmt_cycle like strcustr.stmt_cycle,
            act_grp like strcustr.act_grp,
            ar_type like strcustr.ar_type,
            stmt_date like strcustr.stmt_date,
            last_pay_date like strcustr.last_pay_date,
            spec_shipping like strcustr.spec_shipping,
            spec_billing like strcustr.spec_billing,
            terms_desc like strtermr.terms_desc,
            grp_desc like stxactgr.grp_desc,
            ship_to_code like strshipr.ship_to_code,
            ship_bus_name like strshipr.bus_name,
            ship_contact like strshipr.contact,
            ship_address1 like strshipr.address1,
            ship_phone like strshipr.phone,
            ship_address2 like strshipr.address2,
            ship_city like strshipr.city,
            ship_state like strshipr.state,
            ship_zip like strshipr.zip,
            ship_country like strshipr.country,
            ship_taxable like strshipr.taxable,
            ship_spec_shipping like strshipr.spec_shipping
        end record,
        curs_next record            # next row of cursor
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone,
            address1 like strcustr.address1,
            taxable like strcustr.taxable,
            fin_chg like strcustr.fin_chg,
            address2 like strcustr.address2,
            credit_limit like strcustr.credit_limit,
            acct_bal like strcustr.acct_bal,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            on_acct_amt like strcustr.on_acct_amt,
            ar_acct_dflt like strcustr.ar_acct_dflt,
            ar_department_dflt like strcustr.ar_department_dflt,
            terms_code like strcustr.terms_code,
            stmt_amount like strcustr.stmt_amount,
            stmt_cycle like strcustr.stmt_cycle,
            act_grp like strcustr.act_grp,
            ar_type like strcustr.ar_type,
            stmt_date like strcustr.stmt_date,
            last_pay_date like strcustr.last_pay_date,
            spec_shipping like strcustr.spec_shipping,
            spec_billing like strcustr.spec_billing,
            terms_desc like strtermr.terms_desc,
            grp_desc like stxactgr.grp_desc,
            ship_to_code like strshipr.ship_to_code,
            ship_bus_name like strshipr.bus_name,
            ship_contact like strshipr.contact,
            ship_address1 like strshipr.address1,
            ship_phone like strshipr.phone,
            ship_address2 like strshipr.address2,
            ship_city like strshipr.city,
            ship_state like strshipr.state,
            ship_zip like strshipr.zip,
            ship_country like strshipr.country,
            ship_taxable like strshipr.taxable,
            ship_spec_shipping like strshipr.spec_shipping
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record,
        long_sel_stmt    char(1280)
end globals

