########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_custdt.4gs/lowlevel.4gl  1.2  Delta: 4/5/90
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

    if group_key = "cust_code" then
        # insert "before group of cust_code" code here
        return
    end if

    if group_key = "ship_to_code" then
        # insert "before group of ship_to_code" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.cust_code = curs.cust_code
    let rpt.bus_name = curs.bus_name
    let rpt.contact = curs.contact
    let rpt.phone = curs.phone
    let rpt.address1 = curs.address1
    let rpt.taxable = curs.taxable
    let rpt.fin_chg = curs.fin_chg
    let rpt.address2 = curs.address2
    let rpt.credit_limit = curs.credit_limit
    let rpt.acct_bal = curs.acct_bal
    let rpt.city = curs.city
    let rpt.state = curs.state
    let rpt.zip = curs.zip
    let rpt.country = curs.country
    let rpt.on_acct_amt = curs.on_acct_amt
    let rpt.ar_acct_dflt = curs.ar_acct_dflt
    let rpt.ar_department_dflt = curs.ar_department_dflt
    let rpt.terms_code = curs.terms_code
    let rpt.stmt_amount = curs.stmt_amount
    let rpt.stmt_cycle = curs.stmt_cycle
    let rpt.act_grp = curs.act_grp
    let rpt.ar_type = curs.ar_type
    let rpt.stmt_date = curs.stmt_date
    let rpt.last_pay_date = curs.last_pay_date
    let rpt.spec_shipping = curs.spec_shipping
    let rpt.spec_billing = curs.spec_billing
    let rpt.terms_desc = curs.terms_desc
    let rpt.grp_desc = curs.grp_desc
    let rpt.ship_to_code = curs.ship_to_code
    let rpt.ship_bus_name = curs.ship_bus_name
    let rpt.ship_contact = curs.ship_contact
    let rpt.ship_address1 = curs.ship_address1
    let rpt.ship_phone = curs.ship_phone
    let rpt.ship_address2 = curs.ship_address2
    let rpt.ship_city = curs.ship_city
    let rpt.ship_state = curs.ship_state
    let rpt.ship_zip = curs.ship_zip
    let rpt.ship_country = curs.ship_country
    let rpt.ship_taxable = curs.ship_taxable
    let rpt.ship_spec_shipping = curs.ship_spec_shipping
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "cust_code" then
        # insert "after group of cust_code" code here
        return
    end if

    if group_key = "ship_to_code" then
        # insert "after group of ship_to_code" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()


