########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_custls.4gs/globals.4gl  1.3  Delta: 4/5/90
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone
        end record,
        curs record                 # record like the cursor
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone
        end record,
        curs_next record            # next row of cursor
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

