########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/p_crpost.4gs/globals.4gl  1.5  Delta: 4/5/90
########################################################################

database standard

globals
    define
        post_gl record
            gl_installed char(1),
            last_doc_no integer,
            status smallint,
            description char(60),
            acct_period char(2),
            acct_year char(4),
            acct_desc char(30),
            incr_with_crdt char(1),
            signed_amount like stgactvd.amount,
            cr_accum like stgactvd.amount,
            db_accum like stgactvd.amount
        end record,
        post_ar record
            ar_installed char(1),
            ar_balanced char(1),
            last_doc_no integer,
            status smallint,
            description char(60),
            ar_accum like stgactvd.amount,
            disc_accum like stgactvd.amount
        end record,
        new_doc_no integer,         # new doc. no assigned for posting
        post_no integer,            # posting number
        check_post char(5),         # set to "CHECK" or "POST"
        progid   char(17),          # program identification
        rpt record                  # record for the report
            doc_no like strcashe.doc_no,
            inv_doc_no like strcashd.inv_doc_no,
            inv_no like strcashd.inv_no,
            disc_acct like strcashd.disc_acct,
            disc_department like strcashd.disc_department,
            disc_amt like strcashd.disc_amt,
            disc_deb_cred like strcashd.disc_deb_cred,
            cash_acct like strcashe.cash_acct,
            cash_department like strcashe.cash_department,
            cash_deb_cred like strcashe.cash_deb_cred,
            oa_amt like strcashe.oa_amt,
            oa_acct like strcashe.oa_acct,
            oa_department like strcashe.oa_department,
            oa_deb_cred like strcashe.oa_deb_cred,
            heading char(40),
            co_name like stxcntrc.co_name,
            post_seq char(40),
            txt_doc_no char(10),
            rcpt_date like strcashe.rcpt_date,
            check_no like strcashe.check_no,
            cust_code like strcashe.cust_code,
            bus_name like strcustr.bus_name,
            cash_amt like strcashe.cash_amt,
            doc_desc like strcashe.doc_desc,
            dist_acct like strcashd.dist_acct,
            dist_department like strcashd.dist_department,
            description char(30),
            dist_amt like strcashd.dist_amt,
            dist_deb_cred like strcashd.dist_deb_cred,
            messg1 char(80),
            problm0 char(80),
            problm1 char(80),
            problm2 char(80),
            problm3 char(80)
        end record,
        curs record                 # record like the cursor
            ok_to_post like strcashe.ok_to_post,
            doc_no like strcashe.doc_no,
            inv_doc_no like strcashd.inv_doc_no,
            inv_no like strcashd.inv_no,
            due_date like strcashd.due_date,
            disc_acct like strcashd.disc_acct,
            disc_department like strcashd.disc_department,
            disc_amt like strcashd.disc_amt,
            disc_deb_cred like strcashd.disc_deb_cred,
            cash_acct like strcashe.cash_acct,
            cash_department like strcashe.cash_department,
            cash_deb_cred like strcashe.cash_deb_cred,
            oa_amt like strcashe.oa_amt,
            oa_acct like strcashe.oa_acct,
            oa_department like strcashe.oa_department,
            oa_deb_cred like strcashe.oa_deb_cred,
            rcpt_date like strcashe.rcpt_date,
            check_no like strcashe.check_no,
            cust_code like strcashe.cust_code,
            bus_name like strcustr.bus_name,
            cash_amt like strcashe.cash_amt,
            doc_desc like strcashe.doc_desc,
            dist_acct like strcashd.dist_acct,
            dist_department like strcashd.dist_department,
            dist_amt like strcashd.dist_amt,
            dist_deb_cred like strcashd.dist_deb_cred
        end record,
        curs_next record            # next row of cursor
            ok_to_post like strcashe.ok_to_post,
            doc_no like strcashe.doc_no,
            inv_doc_no like strcashd.inv_doc_no,
            inv_no like strcashd.inv_no,
            due_date like strcashd.due_date,
            disc_acct like strcashd.disc_acct,
            disc_department like strcashd.disc_department,
            disc_amt like strcashd.disc_amt,
            disc_deb_cred like strcashd.disc_deb_cred,
            cash_acct like strcashe.cash_acct,
            cash_department like strcashe.cash_department,
            cash_deb_cred like strcashe.cash_deb_cred,
            oa_amt like strcashe.oa_amt,
            oa_acct like strcashe.oa_acct,
            oa_department like strcashe.oa_department,
            oa_deb_cred like strcashe.oa_deb_cred,
            rcpt_date like strcashe.rcpt_date,
            check_no like strcashe.check_no,
            cust_code like strcashe.cust_code,
            bus_name like strcustr.bus_name,
            cash_amt like strcashe.cash_amt,
            doc_desc like strcashe.doc_desc,
            dist_acct like strcashd.dist_acct,
            dist_department like strcashd.dist_department,
            dist_amt like strcashd.dist_amt,
            dist_deb_cred like strcashd.dist_deb_cred
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

