##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/i_contrl.4gs/options.4gl  1.1  Last Delta: 10/25/88
##############################################################################

globals "globals.4gl"

#######################################################################
function ring_options(ring_rowid, ring_cursor, ring_total)
# returning ring_rowid, ring_cursor, ring_total
#######################################################################
#  this is the function that is called when "Options" is selected
#  from the menu.  it is where custom menu items are inserted.
#
    define
        ring_rowid  integer,    # the rowid of the current document
                                # (or -1 if no document is displayed)
        ring_cursor integer,    # the absolute address of the open cursor
                                # (0 if document isn't part of the
                                # current cursor group)
        ring_total  integer     # total number of elements in the cursor

    # check to see if ok to run options
    if ok_options() = false
    then
        return ring_rowid, ring_cursor, ring_total
    end if

    menu " Options"
        command key (e,x,q)
            "Quit" " Return to the main menu"
            exit menu
        command key (interrupt)
            let int_flag = 0
            exit menu
    end menu
    return ring_rowid, ring_cursor, ring_total
end function
# ring_options()

