########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_contrl.4gs/globals.4gl  1.3  Delta: 4/5/90
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            tax_pct like strcntrc.tax_pct,
            terms_code like strcntrc.terms_code,
            terms_desc like strtermr.terms_desc,
            disc_misc like strcntrc.disc_misc,
            disc_frght like strcntrc.disc_frght,
            disc_tax like strcntrc.disc_tax,
            ar_acct_no like strcntrc.ar_acct_no,
            ar_sales_acct_no like strcntrc.ar_sales_acct_no,
            ar_misc_acct_no like strcntrc.ar_misc_acct_no,
            ar_tax_acct_no like strcntrc.ar_tax_acct_no,
            ar_fc_acct_no like strcntrc.ar_fc_acct_no,
            ar_frght_acct_no like strcntrc.ar_frght_acct_no,
            cr_disc_acct_no like strcntrc.cr_disc_acct_no,
            cr_cash_acct_no like strcntrc.cr_cash_acct_no,
            age_datetype like strcntrc.age_datetype,
            age_dsc1 like strcntrc.age_dsc1,
            age_dsc2 like strcntrc.age_dsc2,
            age_dsc3 like strcntrc.age_dsc3,
            age_dsc4 like strcntrc.age_dsc4,
            age_per1 like strcntrc.age_per1,
            age_per2 like strcntrc.age_per2,
            age_per3 like strcntrc.age_per3,
            ar_balanced like strcntrc.ar_balanced
        end record,
        curs record                 # record like the cursor
            tax_pct like strcntrc.tax_pct,
            terms_code like strcntrc.terms_code,
            terms_desc like strtermr.terms_desc,
            disc_misc like strcntrc.disc_misc,
            disc_frght like strcntrc.disc_frght,
            disc_tax like strcntrc.disc_tax,
            ar_acct_no like strcntrc.ar_acct_no,
            ar_sales_acct_no like strcntrc.ar_sales_acct_no,
            ar_misc_acct_no like strcntrc.ar_misc_acct_no,
            ar_tax_acct_no like strcntrc.ar_tax_acct_no,
            ar_fc_acct_no like strcntrc.ar_fc_acct_no,
            ar_frght_acct_no like strcntrc.ar_frght_acct_no,
            cr_disc_acct_no like strcntrc.cr_disc_acct_no,
            cr_cash_acct_no like strcntrc.cr_cash_acct_no,
            age_datetype like strcntrc.age_datetype,
            age_dsc1 like strcntrc.age_dsc1,
            age_dsc2 like strcntrc.age_dsc2,
            age_dsc3 like strcntrc.age_dsc3,
            age_dsc4 like strcntrc.age_dsc4,
            age_per1 like strcntrc.age_per1,
            age_per2 like strcntrc.age_per2,
            age_per3 like strcntrc.age_per3,
            ar_balanced like strcntrc.ar_balanced
        end record,
        curs_next record            # next row of cursor
            tax_pct like strcntrc.tax_pct,
            terms_code like strcntrc.terms_code,
            terms_desc like strtermr.terms_desc,
            disc_misc like strcntrc.disc_misc,
            disc_frght like strcntrc.disc_frght,
            disc_tax like strcntrc.disc_tax,
            ar_acct_no like strcntrc.ar_acct_no,
            ar_sales_acct_no like strcntrc.ar_sales_acct_no,
            ar_misc_acct_no like strcntrc.ar_misc_acct_no,
            ar_tax_acct_no like strcntrc.ar_tax_acct_no,
            ar_fc_acct_no like strcntrc.ar_fc_acct_no,
            ar_frght_acct_no like strcntrc.ar_frght_acct_no,
            cr_disc_acct_no like strcntrc.cr_disc_acct_no,
            cr_cash_acct_no like strcntrc.cr_cash_acct_no,
            age_datetype like strcntrc.age_datetype,
            age_dsc1 like strcntrc.age_dsc1,
            age_dsc2 like strcntrc.age_dsc2,
            age_dsc3 like strcntrc.age_dsc3,
            age_dsc4 like strcntrc.age_dsc4,
            age_per1 like strcntrc.age_per1,
            age_per2 like strcntrc.age_per2,
            age_per3 like strcntrc.age_per3,
            ar_balanced like strcntrc.ar_balanced
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

