##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/p_delete.4gs/globals.4gl  1.3  Last Delta: 12/11/89
##############################################################################

database standard

globals
    define
        m_xcntrc record like stxcntrc.*, # record like company control table
        p_arc_date date,            # archive date.
        progid   char(17),          # program identification
        rpt record                  # record for the report
            orig_journal like stxtranr.orig_journal,
            doc_no like stxtranr.doc_no,
            post_no like stxtranr.post_no,
            post_date like stxtranr.post_date,
            doc_date like stxtranr.doc_date,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            inv_chk_no like strtranr.inv_chk_no,
            doc_type like strtranr.doc_type,
            heading char(60),
            co_name like stxcntrc.co_name,
            data char(80)
        end record,
        curs record                 # record like the cursor
            orig_journal like stxtranr.orig_journal,
            doc_no like stxtranr.doc_no,
            post_no like stxtranr.post_no,
            post_date like stxtranr.post_date,
            doc_date like stxtranr.doc_date,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            inv_chk_no like strtranr.inv_chk_no,
            doc_type like strtranr.doc_type
        end record,
        curs_next record            # next row of cursor
            orig_journal like stxtranr.orig_journal,
            doc_no like stxtranr.doc_no,
            post_no like stxtranr.post_no,
            post_date like stxtranr.post_date,
            doc_date like stxtranr.doc_date,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            inv_chk_no like strtranr.inv_chk_no,
            doc_type like strtranr.doc_type
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

