##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/p_delete.4gs/prevmnth.4gl  1.1  Last Delta: 10/25/88
##############################################################################

#############################################################
function prev_month(no_month,p_date)
#############################################################
#
# this function returns a date that is x number of months 
# previous to the p_date (valid within 10 years or so)
#

    define
        no_month smallint,
        p_date date,
        a_date date,
        tmp_month smallint,
        tmp_day smallint,
        tmp_year smallint


    let tmp_day = day(p_date)
    let p_date = mdy(month(p_date),1,year(p_date))
    let a_date = p_date - (no_month * 28)
    if no_month > 60 then let a_date = a_date - 25 end if
    let tmp_month = month(a_date)
    let tmp_year = year(a_date)

    return mdy(tmp_month,tmp_day,tmp_year)

end function
