########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/p_invpst.4gs/globals.4gl  1.6  Delta: 4/23/90
########################################################################

database standard

globals
    define
        post_gl record
            gl_installed char(1),
            last_doc_no integer,
            status smallint,
            description char(60),
            acct_period char(2),
            acct_year char(4),
            acct_desc char(30),
            incr_with_crdt char(1),
            signed_amount like stgactvd.amount,
            cr_accum like stgactvd.amount,
            db_accum like stgactvd.amount
        end record,
        post_ar record
            ar_installed char(1),
            ar_balanced char(1),
            last_doc_no integer,
            status smallint,
            description char(60),
            ar_accum like stgactvd.amount,
            disc_accum like stgactvd.amount
        end record,
        new_doc_no integer,         # new doc. no assigned for posting
        ar_signed_amt like strinvce.ar_amount, # signed amount of a/r distribution
        disc_signed_amt like strinvce.disc_amount, # discount signed amount
        post_no integer,            # posting number
        check_post char(5),         # set to "CHECK" or "POST"
        p_rinvce record like strinvce.*,  # record like invoice entry table
        progid   char(17),          # program identification
        rpt record                  # record for the report
            doc_no like strinvce.doc_no,
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            debit_credit like strinvcd.debit_credit,
            line_no like strinvcd.line_no,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            heading char(40),
            co_name like stxcntrc.co_name,
            post_seq char(40),
            txt_doc_no char(10),
            inv_date like strinvce.inv_date,
            inv_type char(14),
            cust_code like strinvce.cust_code,
            bus_name like strcustr.bus_name,
            inv_no like strinvce.inv_no,
            inv_desc like strinvce.inv_desc,
            ref_verb char(10),
            ref_code char(10),
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description char(30),
            amount like strinvcd.amount,
            messg1 char(80),
            problm0 char(80),
            problm1 char(80),
            problm2 char(80),
            problm3 char(80)
        end record,
        curs record                 # record like the cursor
            ok_to_post like strinvce.ok_to_post,
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            debit_credit like strinvcd.debit_credit,
            line_no like strinvcd.line_no,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            doc_no like strinvce.doc_no,
            inv_date like strinvce.inv_date,
            cust_code like strinvce.cust_code,
            bus_name like strcustr.bus_name,
            inv_no like strinvce.inv_no,
            inv_desc like strinvce.inv_desc,
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description like strinvcd.description,
            amount like strinvcd.amount
        end record,
        curs_next record            # next row of cursor
            ok_to_post like strinvce.ok_to_post,
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            debit_credit like strinvcd.debit_credit,
            line_no like strinvcd.line_no,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            doc_no like strinvce.doc_no,
            inv_date like strinvce.inv_date,
            cust_code like strinvce.cust_code,
            bus_name like strcustr.bus_name,
            inv_no like strinvce.inv_no,
            inv_desc like strinvce.inv_desc,
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description like strinvcd.description,
            amount like strinvcd.amount
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

